LOCAL loArrayHandler, lcMessageText, lnRow

*-- Create ArrayHandler object
loArrayHandler = NEWOBJECT("_arraylib",HOME()+"ffc\_utility")

*-- Create a Multi dimension array with 3 rows
DIMENSION laMultiDimension[3,2]
laMultiDimension[1,1] = "A"
laMultiDimension[1,2] = "1"
laMultiDimension[2,1] = "B"
laMultiDimension[2,2] = "2"
laMultiDimension[3,1] = "C"
laMultiDimension[3,2] = "3"

ShowArrayContents("Contents before deleting:")

*-- Use the ArrayHandler to delete the second row
*-- Important! Notice that the array is passed by
*-- reference, using  "@" 
loArrayHandler.DelAItem(@laMultiDimension,2)

ShowArrayContents("Contents after deleting:")

PROC ShowArrayContents(tcHeader)
	*-- Popup a messagebox showing the items in the
	*-- array

	lcMessageText = tcHeader+CHR(13)+CHR(13)
	FOR lnRow = 1 TO ALEN(laMultiDimension,1)
		lcMessageText = lcMessageText + laMultiDimension[lnRow,1]+"-"+laMultiDimension[lnRow,2]+CHR(13)
	ENDFOR	
	MESSAGEBOX(lcMessageText)
ENDPROC