LOCAL loArrayHandler, lcMessageText, lnRow

*-- Create ArrayHandler object
loArrayHandler = NEWOBJECT("_arraylib",HOME()+"ffc\_utility")

*-- Create a Multi dimension array with 2 rows
DIMENSION laMultiDimension[2,2]
laMultiDimension[1,1] = "A"
laMultiDimension[1,2] = "1"
laMultiDimension[2,1] = "B"
laMultiDimension[2,2] = "2"

ShowArrayContents("Contents before inserting:")

*-- Use the ArrayHandler to insert a row between 1 and 2
*-- Important! Notice that the array is passed by
*-- reference, using  "@" 
loArrayHandler.InsAItem(@laMultiDimension,"C",1)
laMultiDimension[2,2] = "3"

ShowArrayContents("Contents after inserting:")

PROC ShowArrayContents(tcHeader)
	*-- Popup a messagebox showing the items in the
	*-- array

	lcMessageText = tcHeader+CHR(13)+CHR(13)
	FOR lnRow = 1 TO ALEN(laMultiDimension,1)
		lcMessageText = lcMessageText + laMultiDimension[lnRow,1]+"-"+laMultiDimension[lnRow,2]+CHR(13)
	ENDFOR	
	MESSAGEBOX(lcMessageText)
ENDPROC